# encoding: UTF-8

# File: Plugins/Examples_FaceSniffer.rb
#
# An example that adds an "FaceSniffer" tool item to the bottom of the
# "Tools" menu.
#
# Copyright 2022, released under the MIT License
#
# * v 1.0.0 - Dan Rathbun
#
# Permission to use, copy, modify, and distribute this software for any purpose
# and without fee is hereby granted, provided that the above copyright notice
# appear in all copies.
#
# However if you modify it, PLEASE change the top level namespace module name
# in both files to YOUR OWN unique top level namespace module, and then add
# your copyright notice to the list above.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
#-----------------------------------------------------------------------------

module BradenYork
  module FaceSniffer

    EXTENSION = SketchupExtension.new(
      'Face Sniffer',
      'FaceSniffer_main.rb'
    )
    EXTENSION.instance_eval {
      self.description= 'Adds a Tools > Face Sniffer command.'
      self.version=     '1.0.0'
      self.copyright=   "©2022 under MIT License"
      self.creator=     'Dan Rathbun'
    }
    Sketchup.register_extension(EXTENSION, true)

  end # extension submodule
end # top level namespace module